org.apache.jmeter.visualizers

## Class StatGraphProperties

- java.lang.Object
- - org.apache.jmeter.visualizers.StatGraphProperties

-     public class StatGraphProperties
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `StatGraphProperties()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.Map<java.lang.String,java.lang.String>` | `getFontNameMap()`
    `static java.lang.String[]` | `getFontSize()`
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `getFontStyleMap()`
    `static java.util.Map<java.lang.String,java.lang.Integer>` | `getPlacementNameMap()`
    `static java.util.Map<java.lang.String,java.awt.Shape>` | `getPointShapeMap()`
    `static java.lang.String[]` | `getStrokeWidth()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StatGraphProperties

          public StatGraphProperties()

  - ### Method Detail

    - #### getFontNameMap

          public static java.util.Map<java.lang.String,java.lang.String> getFontNameMap()

    - #### getFontSize

          public static final java.lang.String[] getFontSize()

      Returns:
        array of String containing font sizes

    - #### getStrokeWidth

          public static final java.lang.String[] getStrokeWidth()

      Returns:
        array of String containing stroke widths

    - #### getFontStyleMap

          public static java.util.Map<java.lang.String,java.lang.Integer> getFontStyleMap()

    - #### getPlacementNameMap

          public static java.util.Map<java.lang.String,java.lang.Integer> getPlacementNameMap()

    - #### getPointShapeMap

          public static java.util.Map<java.lang.String,java.awt.Shape> getPointShapeMap()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.